Joltio Data / data.search
Search the Data catalog
Search the Data catalog.
POST /v1/data/search
- Authentication
- X-API-Key / Bearer
- Formats
- JSON
- Rows per query
- Not applicable
Parameters
| Name | Type | Location |
|---|---|---|
domain | string | body |
q | string | body |
facets | string | body |
values_of | object | body |
limit | integer | body |
offset | integer | body |
intent | string | body |
Responses
200 | OK |
401 | unauthorized: An API key or Bearer token is required. |
curl
curl -X POST 'https://api.joltio.app/v1/data/search' -H 'X-API-Key: $JOLTIO_API_KEY' -H 'Content-Type: application/json' -d '{"q":"prices"}'Python
from joltio import Client
import json
with Client() as j:
result = j.post('/v1/data/search', json=json.loads('{"q":"prices"}'))